Loading...
Searching...
No Matches
Magick::segmentImage Class Reference

## Public Member Functions

| segmentImage (const double clusterThreshold_=1.0, const double smoothingThreshold_=1.5)
void | operator() (Image &image_) const

## Private Attributes

double | _clusterThreshold
double | _smoothingThreshold

## Detailed Description

Definition at line 987 of file STL.h.

## Constructor & Destructor Documentation

## segmentImage()

Magick::segmentImage::segmentImage | ( | const double | clusterThreshold_ = `1.0`,
|  | const double | smoothingThreshold_ = `1.5`
| ) |  |

Definition at line 942 of file STL.cpp.

: _clusterThreshold( clusterThreshold_ ),
_smoothingThreshold( smoothingThreshold_ )
{
}

## Member Function Documentation

## operator()()

void Magick::segmentImage::operator() | ( | Magick::Image & | image_ | ) | const

Definition at line 948 of file STL.cpp.

{
image_.segment( _clusterThreshold, _smoothingThreshold );
}

## Field Documentation

## _clusterThreshold

double Magick::segmentImage::_clusterThreshold

private

Definition at line 996 of file STL.h.

## _smoothingThreshold

double Magick::segmentImage::_smoothingThreshold

private

Definition at line 997 of file STL.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/STL.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/STL.cpp